Subject: Re: [bug#78360] [PATCH 1/2] gnu: Add quazip-qt6.

From: Sergey Trofimov <[email-masked]>
Date: Mon, 12 May 2025 12:03:30 +0200

Hi Maxim, Andreas
Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Sergey Trofimov <[email-masked]> writes:
>
>> Hi Andreas,
>>
>> Andreas Enge <[email-masked]> writes:
>>
>>> Hello Sergey,
>>>
>>> thanks for the patch, it is always good to get rid of Qt5 dependencies!
>>>
>>> However, I am not convinced about the order of things:
>>> Why add the "-qt6" suffix to the name, in particular since Qt6 should be
>>> the standard now? I think it would be better to do things as with qtbase:
>>> Keep the "name" field the same; rename the quazip variable to quazip-5; 
>>> adapt the packages that currently have quazip as input to use quazip-5.
>>>
>>> I am cc-ing the qt team since they are more competent to give advice.
>
> My opinion is that 'quazip' alone as both the variable name and package
> name would be nicer, for the latest Qt 6 version.
>
> Is quazip-0 still needed?  If not, it can be removed.  And then we can
> introduce a quazip-5 variable.
>
> Does that make sense?

quazip-0 is still used by a few packages. I've prepared a new series
that upgrades such packages to quazip-5.